Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038731
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-06-08 15:222018-08-09 17:22
Reporterjoniturralde93View Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision08280eb5871d
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038731: Layaway price may vary when opened in another terminal

DescriptionWhen opening a layaway in another terminal, if it contains products with some specific taxes/price list, the price and tax total can vary from one terminal to the other.
Steps To Reproduce1. Create a Tax Category: 'Category test'.
2. Create a Tax Rate 'Test rate' with summary level checked and Tax Category 'Category test'
3. Create another two Tax Rates 'Test rate 1' and 'Test rate 2' with Tax Category 'Category test' and Parent Tax Rate 'Test rate'. One with Rate 21 and the other one with Rate 2.5
4. Create a Layaway POS Terminal with search Key 'VBS-2' and Name and Order Document No Prefix 'TestTerminal'
5. Change some products Tax Category to 'Category test' and in their Price tab 'The White Valley Group Sale Price List Version' Unit Price and List Price to 2.75
6. In Price list 'The White Valley Group Sale Price List', uncheck 'Price includes Tax'
7. Log into VBS-2 in the POS Terminal and generate a layaway with some of the products we changed before. Generate some more layaways to ensure we can reproduce it.
8. Log into VBS-1 (for example) and open the receipts. The price and Tax Total sometimes changes some cents (they change the most when a lot of different products are in the receipt)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0039682 closedRetail Tax is not properly rounded when loading a paid receipt and changes value of ticket 
related to defect 0038967 closedrqueralta Sum of linenet plus tax can be different than gross 

-  Notes
(0105188)
hgbot (developer)
2018-06-15 15:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: caaebcc61ad162cb5a315435a6c810587f90c37b
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Jun 14 14:26:50 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/caaebcc61ad162cb5a315435a6c810587f90c37b [^]

Fixed issue 38731: Layaway price may vary when opened in another terminal

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0105354)
marvintm (developer)
2018-06-25 08:56

The current change would need at least to be replicated to the priceIncludingTaxes flows (function calcTaxesIncPrice).

However, it's unclear to me how this change would solve the issue, as it seems the problem comes from the fact that the layaway taxes are being recalculated, and adding an "and" condition on this part of the code will cause the taxes to be calculated more frequently, not less.
(0105504)
hgbot (developer)
2018-06-29 09:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c3c8f2b0362738432056f6aa1cf60a6caea01f19
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jun 29 09:12:35 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c3c8f2b0362738432056f6aa1cf60a6caea01f19 [^]

Related to issue 38731. Backed out changeset caaebcc61ad162cb5a315435a6c810587f90c37b, as it requires a bit more thought

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0105667)
hgbot (developer)
2018-07-06 20:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 08280eb5871d9f93919e01852ae5a0b49829e0cb
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Jul 06 11:44:03 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/08280eb5871d9f93919e01852ae5a0b49829e0cb [^]

Fixed issue 38731: Layaway price may vary when opened in another terminal

- It was avoided that the groos of the ticket was changed with the same
condition of the regenerateTaxes function and saved trace that the calculated
gross is different from the original

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0105672)
migueldejuana (developer)
2018-07-09 11:47

Reviewed
(0106269)
alekosmp86 (developer)
2018-08-09 17:22

Added automated test

https://code.openbravo.com/tools/automation/pi-mobile/rev/d10f3a2ddd83 [^]

- Issue History
Date Modified Username Field Change
2018-06-08 15:22 joniturralde93 New Issue
2018-06-08 15:22 joniturralde93 Assigned To => Retail
2018-06-08 15:22 joniturralde93 Triggers an Emergency Pack => No
2018-06-11 13:11 juabaez Issue Monitored: juabaez
2018-06-11 21:54 rqueralta Assigned To Retail => rqueralta
2018-06-11 21:55 rqueralta Status new => scheduled
2018-06-15 15:23 hgbot Checkin
2018-06-15 15:23 hgbot Note Added: 0105188
2018-06-15 15:23 hgbot Status scheduled => resolved
2018-06-15 15:23 hgbot Resolution open => fixed
2018-06-15 15:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/caaebcc61ad162cb5a315435a6c810587f90c37b [^]
2018-06-25 08:56 marvintm Note Added: 0105354
2018-06-25 08:56 marvintm Status resolved => new
2018-06-25 08:56 marvintm Resolution fixed => open
2018-06-26 20:35 rqueralta Status new => scheduled
2018-06-29 09:12 hgbot Checkin
2018-06-29 09:12 hgbot Note Added: 0105504
2018-07-06 20:38 hgbot Checkin
2018-07-06 20:38 hgbot Note Added: 0105667
2018-07-06 20:38 hgbot Status scheduled => resolved
2018-07-06 20:38 hgbot Resolution open => fixed
2018-07-06 20:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/caaebcc61ad162cb5a315435a6c810587f90c37b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/08280eb5871d9f93919e01852ae5a0b49829e0cb [^]
2018-07-09 11:47 migueldejuana Review Assigned To => migueldejuana
2018-07-09 11:47 migueldejuana Note Added: 0105672
2018-07-09 11:47 migueldejuana Status resolved => closed
2018-07-16 16:51 migueldejuana Relationship added related to 0038967
2018-08-09 17:22 alekosmp86 Note Added: 0106269
2018-11-22 17:49 adrianromero Relationship added has duplicate 0039682


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker